/*-------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* WIP tests */

/* 
.azForm-fieldCell-ddlb .azForm-input option{
background-color:#5f295f !important;
}



.azForm-fieldCell-ddlb .azForm-input{
    background-color:#ffffff;
}

.azForm-fieldCell-ddlb .azForm-input:first-child{
    background-color:initial;
}

*/

/* Subject dropdown styling */
/* This sets the first option to grey background 'reset your choice' */
.autocomplete__option.autocomplete__option--focused{
    Background-color: #767676;
}
/* Sets the dropdown styles to match the others */
.autocomplete__menu.autocomplete__menu--overlay>li{
    font-family: Inter, sans-serif;
    font-size: 12.5px;
    padding-top: 0px;
    padding-left: 2px;
    padding-right: 2px;
    padding-bottom: 1px;
    line-height: 16.25px;
    font-weight: 400;
}
/* Sets hover styling to gray background */
.autocomplete__menu.autocomplete__menu--overlay>li:hover{
    background-color: #767676;
}


/* Hides the border around the dropdown box */
#azForm_field_2158__listbox{
    border-style: hidden;
}
#azForm_field_2382__listbox{
    border-style: hidden;
}


/*-------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* CLASS STYLES*/

/* Your information title */
.azForm-title{
	color:#1d1d1d;
    font-weight:700;
    font-size:1.3rem;
    font-family:Inter,sans-serif;
}

/* Styling for the labels i.e., first name, email,...  - any labe that is a child of a element class (all labels) */
.azForm-element > .azForm-label {
    color:#1d1d1d;
    font-weight:700;
    font-size:1.1rem;
    font-family:Inter,sans-serif;
}

/* Text input boxes styling */
.azForm-input{
    color:#1d1d1d;
    font-weight:300;
    font-family:Inter,sans-serif;
	margin-left:0px;
}

/* Styling for email and agree tick box - Needed to keep the boxes aligned*/
.ui-checkbox.ui-mini{
    margin-left: 3px;
    margin-right: 3px; 
}

/* Styling for each element - no left margin (lines up box with label) also removes border on free text */

/*free text*/ 
.ui-input-text.ui-body-c.ui-corner-all.ui-mini.ui-shadow-inset{
	margin-left:0px;
	border-style: hidden;
	
}/* drop downs*/
.ui-select.ui-mini{
	margin-left: 0px;
}

/* Styling for the tickboxes */
.ui-btn.ui-corner-all.ui-btn-c.ui-btn-icon-left.ui-checkbox-off{
    background-color:#333;
    color:#f7f7f7;
	font-family:Inter,sans-serif;
	border-radius: 0.3125rem;
}
.ui-btn.ui-corner-all.ui-btn-c.ui-btn-icon-left.ui-checkbox-on{
    background-color:#333;
    color:#f7f7f7;
	font-family:Inter,sans-serif;
	border-radius: 0.3125rem;
}

/* Styling for the Submit Button */
.ui-btn.ui-input-btn.ui-btn-c.ui-corner-all.ui-shadow.ui-mini{
    border-radius: 0.3125rem;
    font-family: Inter,sans-serif;
    font-weight: 300;
    border:0px;
}/* hover styles */
.ui-btn.ui-input-btn.ui-btn-c.ui-corner-all.ui-shadow.ui-mini:hover{
    background-color: rgb(108, 58, 108);
	color: #f7f7f7;
}

/* aligns text left in the dropdowns */
.azForm-fieldCell-ddlb .azForm-input{
    text-align:left;
}

/*-------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* ID STYLES */


/* Styling for each text box's background and text colour */
#azForm_field_7, #azForm_field_8, #email, #azForm_field_2158-wrap, #azForm_field_2382-wrap, #azForm_field_15-button, #azForm_field_663-button, #azForm_field_31-button {
	color: #333;
    background-color: #F7F7F7;
    border: 1px solid rgb(196, 196, 196);
}

/* Sets the placeholder font in the subject dropdowns to match */
#azForm_field_2158, #azForm_field_2382{
	font-family: Inter,sans-serif;
}
   
/*-------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* COMMS PREFERENCES STYLING */


/* Comms Preferences title */
#az-form-communications-channels-title{
    color:#1d1d1d;
    font-weight:700;
    font-size:1.1rem;
    font-family:Inter,sans-serif;
}

/* Snippet font style */
#az-form-communications-channels-snippet{
    color:#1d1d1d;
    font-family:Inter,sans-serif;
}

/* Hides the privacy statement stuff*/
#az-form-privacy-statement-content{
    display:none;
}


/*-------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* MISC Styles */


/* Removes drop shadow from all elements*/
#az-form .azForm-item div .ui-focus, #az-form .azForm-item div{
    box-shadow:none;
}

/* Sets the height of text boxes to look equal */
.azForm-fields input,.ui-select .ui-btn select{
min-height:2.5em;
}

/* Icon change */

/*
#az-form .fa-chevron-circle-down::before,#az-form .fa-circle-chevron-down::before{
    content:"\f078";
	font-size: 12.5px;
}
.ui-icon-carat-d::after{
    content:"\f078";
    background-image:none;
    font-family:"Font Awesome 6 Pro";
    font-weight:900;
}
*/

/* Temp background fix for chevrons */
.ui-icon-carat-d::after{
background-color:#767676;
}


/* These set the position of the chevrons */
.ui-select .ui-btn-icon-right::after{
    margin-top:-9px;
}
.autocomplete__dropdown-arrow-down-wrapper{
	margin-right: 3px;
    margin-top: -5px;
}

/* Extra spacing at the bottom for subject dropdowns */
#azContent {
	padding-bottom: 80px;
}